const DataBaseExceptionHandler = {
    getErrorMessage( error ){
        if(!error) return '';
        if(error.status == 'SUCCESS') return null;
        if(error.data) return error.data;
        return "SQL_UNEXPECTED_ERROR";
    },
    
    defaultHandler( error ){
        const now = new Date().toLocaleString();
        const errorMsg = this.getErrorMessage( error );
        console.log(`Error ${now} ------`);
        console.log(errorMsg);
    }
}

export default ExceptionHandler;